MONGOC_DATABASE_FIND_COLLECTIONS(3)

NAME
mongoc_database_find_collections - mongoc_database_find_collections()

SYNOPSIS

mongoc_cursor_t *
mongoc_database_find_collections (mongoc_database_t *database,
                                  const bson_t *filter,
                                  bson_error_t *error)
   BSON_GNUC_DEPRECATED_FOR (mongoc_database_find_collections_with_opts);

DEPRECATED

This function is deprecated and should not be used in new code.

Please use mongoc_database_find_collections_with_opts() instead.

DESCRIPTION

Fetches a cursor containing documents, each corresponding to a collection on this database.

This function is considered a retryable read operation. Upon a transient error (a network error, errors due to replica set failover, etc.) the operation is safely retried once. If retryreads is false in the URI (see mongoc_uri_t) the retry behavior does not apply.

PARAMETERS

•   database: A mongoc_database_t.

•   filter: A matcher used by the server to filter the returned collections. May be NULL.

•   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter.

RETURNS

A cursor where each result corresponds to the server's representation of a collection in this database.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc